Activity log for bug #1624071

Date Who What changed Old value New value Message
2016-09-15 19:04:41 Anders Kaseorg bug added bug
2016-09-15 21:26:39 Martin Pitt systemd (Ubuntu): status New Triaged
2016-09-15 23:00:09 Anders Kaseorg description The libnss-resolve postinst script inserts ‘resolve’ before ‘dns’ in the hosts line of /etc/nsswitch.conf. This makes DNSSEC validation impossible, even with DNSSEC=yes in /etc/systemd/resolved.conf, because if libnss_resolve returns a validation failure, glibc will simply fall back to libnss_dns. It also makes NXDOMAIN lookups twice as slow. The following syntax would preserve the fallback in the case that systemd-resolved is not running at all, but allow systemd-resolved to fail lookups that should fail when it is running: hosts: files resolve [!TRYAGAIN=return] dns The libnss-resolve postinst script inserts ‘resolve’ before ‘dns’ in the hosts line of /etc/nsswitch.conf. This makes DNSSEC validation impossible, even with DNSSEC=yes in /etc/systemd/resolved.conf, because if libnss_resolve returns a validation failure, glibc will simply fall back to libnss_dns. It also makes NXDOMAIN lookups twice as slow.
2016-09-15 23:15:19 Anders Kaseorg bug watch added https://github.com/systemd/systemd/issues/4157
2016-09-16 05:45:04 Martin Pitt bug task added systemd
2016-09-16 05:45:11 Martin Pitt systemd (Ubuntu): assignee Martin Pitt (pitti)
2016-09-16 05:45:14 Martin Pitt systemd (Ubuntu): importance Undecided Medium
2016-09-16 05:45:21 Martin Pitt systemd (Ubuntu): milestone ubuntu-16.10
2016-09-28 06:01:51 Martin Pitt systemd (Ubuntu): milestone ubuntu-16.10 ubuntu-16.11
2016-10-01 21:53:18 Martin Pitt systemd (Ubuntu): status Triaged In Progress
2016-10-01 21:53:22 Martin Pitt systemd (Ubuntu): milestone ubuntu-16.11 ubuntu-16.10
2016-10-02 08:32:12 Martin Pitt systemd (Ubuntu): status In Progress Fix Committed
2016-10-02 22:06:28 Launchpad Janitor systemd (Ubuntu): status Fix Committed Fix Released
2016-11-03 11:42:19 Calin Cerghedean bug added subscriber Calin Cerghedean
2017-01-02 16:53:59 William Villeneuve bug added subscriber willvill1995
2017-02-23 21:26:10 Blaze bug added subscriber Blaze
2019-05-17 05:15:10 Bug Watch Updater systemd: status Unknown Fix Released